terraform {
    required_providers {
      vault = {
        source = "vault"
        version = "4.4.0"
      }
    }
}

provider vault {
    address = "https://vault.arcodange.lab"
    auth_login_jwt { # TERRAFORM_VAULT_AUTH_JWT environment variable
        mount = "gitea_jwt"
        role = "gitea_cicd_erp"
    }
}